package com.goafanti.cognizance.bo;

import java.math.BigDecimal;


/**
 * 企业年报
 */

public class AnnualReportBo {

	private String		uid;

	/**
	 * 企业名称
	 */
	private String		unitName;

	/**
	 * 组织机构代码
	 */
	private String		orgCode;

	/**
	 * 所属地区--省
	 */
	private Integer		locationProvince;

	/**
	 * 所属地区--市
	 */
	private Integer		locationCity;

	/**
	 * 所属地区--区
	 */
	private Integer		locationArea;

	/**
	 * 高企认定证书编号
	 */
	private String		certificateNumber;

	/**
	 * 高企认定时间
	 */
	private String		issuingDate;

	/**
	 * 是否上市
	 */
	private String		listed;

	/**
	 * 上市时间
	 */
	private String		listedDate;

	/**
	 * 上市类型
	 */
	private String		listedType;

	/**
	 * 股票代码
	 */
	private String		stockCode;

	/**
	 * 企业联系人及联系方式
	 */
	private String		contacts;

	/**
	 * 发明专利数
	 */
	private Integer		inventionPatent;

	/**
	 * 国防专利数
	 */
	private Integer		defensePatent;

	/**
	 * 国家级农作物品种数
	 */
	private Integer		nationalCrop;

	/**
	 * 植物新品种数
	 */
	private Integer		newPlantCariety;

	/**
	 * 国家新药数
	 */
	private Integer		nationalDrug;

	/**
	 * 国家一级中药保护品种数
	 */
	private Integer		chineseMedicine;

	/**
	 * 实用新型专利数
	 */
	private Integer		utilityPatent;

	/**
	 * 集成电路布图设计专有权数
	 */
	private Integer		circuitDesign;

	/**
	 * 外观设计专利数
	 */
	private Integer		exteriorPatent;

	/**
	 * 软件著作权数
	 */
	private Integer		softwareWorks;

	/**
	 * 职工总人数
	 */
	private Integer		firmTotal;

	/**
	 * 科技人员数
	 */
	private Integer		techTotal;

	/**
	 * 新增就业人数
	 */
	private Integer		newEmployment;

	/**
	 * 高校应届毕业生人数
	 */
	private Integer		graduateNumber;

	/**
	 * 企业总收入
	 */
	private BigDecimal	totalRevenue;

	/**
	 * 销售收入(万元)
	 */
	private BigDecimal	salesRevenue;

	/**
	 * 所有者权益合计(万元)
	 */
	private BigDecimal	netAsset;

	/**
	 * 高新技术产品(服务)收入
	 */
	private BigDecimal	lastYearRevenue;

	/**
	 * 利润总额
	 */
	private BigDecimal	grossProfit;

	/**
	 * 研发费用总额
	 */
	private BigDecimal	researchCost;

	/**
	 * 在中国境内研发费用
	 */
	private BigDecimal	territory;

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public String getUnitName() {
		return unitName;
	}

	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public Integer getLocationProvince() {
		return locationProvince;
	}

	public void setLocationProvince(Integer locationProvince) {
		this.locationProvince = locationProvince;
	}
	
	public Integer getLocationCity() {
		return locationCity;
	}

	public void setLocationCity(Integer locationCity) {
		this.locationCity = locationCity;
	}
	
	public Integer getLocationArea() {
		return locationArea;
	}

	public void setLocationArea(Integer locationArea) {
		this.locationArea = locationArea;
	}

	public String getIssuingDate() {
		return issuingDate;
	}

	public void setIssuingDate(String issuingDate) {
		this.issuingDate = issuingDate;
	}

	public String getListed() {
		return listed;
	}

	public void setListed(String listed) {
		this.listed = listed;
	}

	public String getListedDate() {
		return listedDate;
	}

	public void setListedDate(String listedDate) {
		this.listedDate = listedDate;
	}

	public String getListedType() {
		return listedType;
	}

	public void setListedType(String listedType) {
		this.listedType = listedType;
	}

	public String getStockCode() {
		return stockCode;
	}

	public void setStockCode(String stockCode) {
		this.stockCode = stockCode;
	}

	public String getCertificateNumber() {
		return certificateNumber;
	}

	public void setCertificateNumber(String certificateNumber) {
		this.certificateNumber = certificateNumber;
	}

	public String getContacts() {
		return contacts;
	}

	public void setContacts(String contacts) {
		this.contacts = contacts;
	}

	public Integer getInventionPatent() {
		return inventionPatent;
	}

	public void setInventionPatent(Integer inventionPatent) {
		this.inventionPatent = inventionPatent;
	}

	public Integer getDefensePatent() {
		return defensePatent;
	}

	public void setDefensePatent(Integer defensePatent) {
		this.defensePatent = defensePatent;
	}

	public Integer getNationalCrop() {
		return nationalCrop;
	}

	public void setNationalCrop(Integer nationalCrop) {
		this.nationalCrop = nationalCrop;
	}

	public Integer getNewPlantCariety() {
		return newPlantCariety;
	}

	public void setNewPlantCariety(Integer newPlantCariety) {
		this.newPlantCariety = newPlantCariety;
	}

	public Integer getNationalDrug() {
		return nationalDrug;
	}

	public void setNationalDrug(Integer nationalDrug) {
		this.nationalDrug = nationalDrug;
	}

	public Integer getChineseMedicine() {
		return chineseMedicine;
	}

	public void setChineseMedicine(Integer chineseMedicine) {
		this.chineseMedicine = chineseMedicine;
	}

	public Integer getUtilityPatent() {
		return utilityPatent;
	}

	public void setUtilityPatent(Integer utilityPatent) {
		this.utilityPatent = utilityPatent;
	}

	public Integer getCircuitDesign() {
		return circuitDesign;
	}

	public void setCircuitDesign(Integer circuitDesign) {
		this.circuitDesign = circuitDesign;
	}

	public Integer getExteriorPatent() {
		return exteriorPatent;
	}

	public void setExteriorPatent(Integer exteriorPatent) {
		this.exteriorPatent = exteriorPatent;
	}

	public Integer getSoftwareWorks() {
		return softwareWorks;
	}

	public void setSoftwareWorks(Integer softwareWorks) {
		this.softwareWorks = softwareWorks;
	}

	public Integer getFirmTotal() {
		return firmTotal;
	}

	public void setFirmTotal(Integer firmTotal) {
		this.firmTotal = firmTotal;
	}

	public Integer getTechTotal() {
		return techTotal;
	}

	public void setTechTotal(Integer techTotal) {
		this.techTotal = techTotal;
	}

	public Integer getNewEmployment() {
		return newEmployment;
	}

	public void setNewEmployment(Integer newEmployment) {
		this.newEmployment = newEmployment;
	}

	public Integer getGraduateNumber() {
		return graduateNumber;
	}

	public void setGraduateNumber(Integer graduateNumber) {
		this.graduateNumber = graduateNumber;
	}

	public BigDecimal getTotalRevenue() {
		return totalRevenue;
	}

	public void setTotalRevenue(BigDecimal totalRevenue) {
		this.totalRevenue = totalRevenue;
	}

	public BigDecimal getSalesRevenue() {
		return salesRevenue;
	}

	public void setSalesRevenue(BigDecimal salesRevenue) {
		this.salesRevenue = salesRevenue;
	}

	public BigDecimal getNetAsset() {
		return netAsset;
	}

	public void setNetAsset(BigDecimal netAsset) {
		this.netAsset = netAsset;
	}

	public BigDecimal getLastYearRevenue() {
		return lastYearRevenue;
	}

	public void setLastYearRevenue(BigDecimal lastYearRevenue) {
		this.lastYearRevenue = lastYearRevenue;
	}

	public BigDecimal getGrossProfit() {
		return grossProfit;
	}

	public void setGrossProfit(BigDecimal grossProfit) {
		this.grossProfit = grossProfit;
	}

	public BigDecimal getResearchCost() {
		return researchCost;
	}

	public void setResearchCost(BigDecimal researchCost) {
		this.researchCost = researchCost;
	}

	public BigDecimal getTerritory() {
		return territory;
	}

	public void setTerritory(BigDecimal territory) {
		this.territory = territory;
	}

}
